Page MenuHomePhabricator

Rename Phabricator project #Repository-Admins to #Diffusion-Repository-Admins
Closed, ResolvedPublic

Description

Please rename Diffusion-Repository-Administrators to #Diffusion-Repository-Admins for the sake of clarity.
Some folks think it's about Gerrit repositories when seeing that not so self-explanatory name. Thanks.

Unfortunately I cannot edit the project myself due to lack of permissions.

Event Timeline

Aklapper created this task.Aug 21 2020, 5:17 PM

Please also edit and fix the project description so its very first sentence explains what the project is actually about. Thanks!
Currently it only says what it's not and that's useless in project search results:

Please also edit and fix the project description

I did that.

Given that this project has 2 ACL's as subprojects I'd like to get @mmodell's opinion before renaming the project. It is also possible that repository-admins or its associated ACLs are hardcoded on our rPHAB/rPHEX code which we should check before renaming to avoid issues.

There should not be any issue with renaming the project, I'm pretty sure that Diffusion-Repository-Administrators is not referenced in any custom code.

Very well. Per @mmodell above, I went ahead and renamed the project to Diffusion-Repository-Administrators (old name kept as alias for backwards compatibility and avoid broken links). I'm not sure we need to rename the subprojects (acl*repository-admins and acl*discovery-repository-admins) as those are only used in project/repo policy configurations and not that visible. If desired, I can do it. Please let me know.

MarcoAurelio triaged this task as Low priority.Sep 3 2020, 8:28 PM

I'd say we're done here. :)

MarcoAurelio closed this task as Resolved.Oct 7 2020, 4:31 PM
MarcoAurelio claimed this task.
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptOct 7 2020, 4:31 PM